# class TextItem

### Constants

CItemTypeName

### Public Class Methods

create(canvas, *args) click to toggle source
Calls superclass method TkcItem.create

    # File lib/tk/canvas.rb, line 823
    def self.create(canvas, *args)
      if args[-1].kind_of?(Hash)
        keys = _symbolkey2str(args.pop)
        txt = keys['text']
        keys['text'] = _get_eval_enc_str(txt) if txt
        args.push(keys)
      end
      super(canvas, *args)
    end